Name:           free-sa
# List of additional build dependencies
#BuildRequires:  gcc-c++ libxml2-devel
Version:        1.5.1
Release:        50.1
License:        GPL v3
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.theme
Source2:        %{name}-%{version}.theme.README
Source3:        %{name}-%{version}.report
Source4:        %{name}-%{version}.report.conf
Source5:        %{name}-%{version}.report.README
Source6:        %{name}-%{version}.sysconfig
Patch:          %{name}-%{version}.patch
Group:          Productivity/Networking/Web/Utilities
Summary:        Free-SA - statistic analyzer
Requires:       httpd, http_proxy
PreReq:         %fillup_prereq

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Free-SA is statistic analyzer for daemons log files similar to SARG.
Its main advantages over SARG are much better speed (7x-20x times),
more reports support, crossplatform work and W3C compliance of
generated HTML/CSS reports code.


%prep
%setup -q
%patch -p0

%build
export ADDCFLAGS="$RPM_OPT_FLAGS"
make
    

%install
make DESTDIR=%buildroot install
%__rm -f %buildroot%{_datadir}/%{name}/wwwroot/themes/default
%__rm -f %buildroot%{_datadir}/%{name}/wwwroot/*.png
%__rm -f %buildroot%{_datadir}/%{name}/wwwroot/*.css
%__rm -f %buildroot%{_datadir}/%{name}/wwwroot/sa.js
%__rm -rf %buildroot%{_datadir}/%{name}/wwwroot/cgi-bin
%__mkdir_p -m 0755 %buildroot%{_sbindir}
%__mkdir_p -m 0755 %buildroot/srv/www/htdocs/%{name}/cgi-bin
%__mkdir_p -m 0755 %buildroot/var/adm/fillup-templates
%__install -m 0755 %{_sourcedir}/%{name}-%{version}.theme %buildroot%{_sbindir}/%{name}-theme
%__install -m 0755 %{_sourcedir}/%{name}-%{version}.report %buildroot%{_sbindir}/%{name}-report
%__install -m 0644 %{_sourcedir}/%{name}-%{version}.theme.README %buildroot%{_docdir}/%{name}/theme.README
%__install -m 0644 %{_sourcedir}/%{name}-%{version}.report.conf %buildroot%{_datadir}/%{name}/%{name}-report.conf
%__install -m 0644 %{_sourcedir}/%{name}-%{version}.report.conf %buildroot%{_sysconfdir}/%{name}/%{name}.conf
%__install -m 0644 %{_sourcedir}/%{name}-%{version}.report.README %buildroot%{_docdir}/%{name}/report.README
%__install -m 0644 %{_sourcedir}/%{name}-%{version}.sysconfig %buildroot/var/adm/fillup-templates/sysconfig.%{name}
%__install -m 0644 themes/rbsec/* %buildroot/srv/www/htdocs/%{name}
%__install -m 0644 themes/sa.js %buildroot/srv/www/htdocs/%{name}
%__install -m 0755 src/%{name}.cgi %buildroot/srv/www/htdocs/%{name}/cgi-bin

%clean
rm -rf %buildroot

%post
%{fillup_only -n free-sa}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/languages
%dir %{_datadir}/%{name}/wwwroot
%dir %{_datadir}/%{name}/wwwroot/themes
%dir %{_datadir}/%{name}/wwwroot/themes/blues
%dir %{_datadir}/%{name}/wwwroot/themes/qbiq
%dir %{_datadir}/%{name}/wwwroot/themes/rbsec
%dir %{_datadir}/%{name}/wwwroot/themes/sarg
%dir %{_datadir}/%{name}/wwwroot/themes/silver
%dir %attr(-,squid,root) /srv/www/htdocs/%{name}
%dir /srv/www/htdocs/%{name}/cgi-bin
%dir %{_docdir}/%{name}
%dir %attr(0750,squid,root) %{_localstatedir}/cache/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}-report
%{_sbindir}/%{name}-theme
%config(noreplace) %{_sysconfdir}/%{name}/*
/var/adm/fillup-templates/sysconfig.%{name}
%{_datadir}/%{name}/%{name}-report.conf
%{_datadir}/%{name}/languages/*
%{_datadir}/%{name}/wwwroot/themes/sa.js
%{_datadir}/%{name}/wwwroot/themes/blues/*
%{_datadir}/%{name}/wwwroot/themes/qbiq/*
%{_datadir}/%{name}/wwwroot/themes/rbsec/*
%{_datadir}/%{name}/wwwroot/themes/sarg/*
%{_datadir}/%{name}/wwwroot/themes/silver/*
/srv/www/htdocs/%{name}/*.*
/srv/www/htdocs/%{name}/cgi-bin/%{name}.cgi
%doc %{_docdir}/%{name}/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*


%changelog
* Tue Mar 3 2009 Konstantin Nadezhdin nk_rec@mail.ru
- changed free-sa-report to version 1.1
* Tue Feb 17 2009 Konstantin Nadezhdin nk_rec@mail.ru
- added report.README
* Wed Feb 11 2009 nk_rec@mail.ru
- packaged free-sa version 1.5.1 using the buildservice spec file wizard
- renamed free-satheme.sh to free-sa-theme
- replaced free-sa-1.5.1-global.mk.patch by free-sa-1.5.1.patch
- added theme.README and free-sa-report
* Tue Jan 13 2009 Konstantin Nadezhdin nk_rec@mail.ru
- added free-sa-1.5.1-global.mk.patch
- added free-satheme.sh theme switching script

